## net.sf.saxon.exslt
Class Common

    java.lang.Object
      |
      +--net.sf.saxon.exslt.Common

public abstract class Common
extends java.lang.Object

This class implements extension functions in the http://exslt.org/common namespace.

Constructor Summary
`Common()`

Method Summary
`static Value` `nodeSet(Value frag)` Convert a result tree fragment to a node-set.
`static java.lang.String` `objectType(XPathContext context, Value value)` Return the type of the supplied value: "sequence", "string", "number", "boolean", "external".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Common

    public Common()

Method Detail

### nodeSet

    public static Value nodeSet(Value frag)

  Convert a result tree fragment to a node-set. This is a hangover from XSLT 1.0; it is implemented as a no-op.

### objectType

    public static java.lang.String objectType(XPathContext context,
                                              Value value)

  Return the type of the supplied value: "sequence", "string", "number", "boolean", "external". (EXSLT spec not yet modified to cater for XPath 2.0 data model)